import centered from '@storybook/addon-centered/html';
import notes from './readme.md';
import { storiesOf } from '@storybook/html';
storiesOf('Layout|Footer', module)
    .addDecorator(centered)
    .addParameters({
    notes: {
        markdown: notes,
    },
})
    .add('Example', () => {
    return `
      <b-footer>
        <div class="content has-text-centered">
          <p>
            <strong>Bulma</strong> by <a href="https://jgthms.com">Jeremy Thomas</a>. The source
            code is licensed <a href="http://opensource.org/licenses/mit-license.php">MIT</a>. The
            website content is licensed
            <a href="http://creativecommons.org/licenses/by-nc-sa/4.0/">CC BY NC SA 4.0</a>.
          </p>
        </div>
      </b-footer>
    `;
});
