import { r as registerInstance, h } from './core-a344d8cd.js';
var Column = /** @class */ (function () {
    function Column(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
        this._narrowBreakpoints = [];
    }
    Column.prototype.componentWillLoad = function () {
        if (this.narrowBreakpoints) {
            this._narrowBreakpoints = JSON.parse(this.narrowBreakpoints);
        }
    };
    Column.prototype.render = function () {
        var _a;
        var _this = this;
        return (h("div", { class: Object.assign(Object.assign({ column: true, 'is-narrow': this.isNarrow && typeof this.isNarrow === 'boolean' }, (this.isNarrow &&
                this._narrowBreakpoints.length > 0 &&
                (function () {
                    return _this._narrowBreakpoints.reduce(function (obj, breakpoint) {
                        var _a;
                        Object.assign(obj, (_a = {},
                            _a["is-narrow-" + breakpoint] = true,
                            _a));
                        return obj;
                    }, {});
                })())), (_a = {}, _a[this.class] = !!this.class, _a)) }, h("slot", null)));
    };
    return Column;
}());
export { Column as b_column };
