'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const core = require('./core-9f8658e8.js');

const Column = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
        this._narrowBreakpoints = [];
    }
    componentWillLoad() {
        if (this.narrowBreakpoints) {
            this._narrowBreakpoints = JSON.parse(this.narrowBreakpoints);
        }
    }
    render() {
        return (core.h("div", { class: Object.assign(Object.assign({ column: true, 'is-narrow': this.isNarrow && typeof this.isNarrow === 'boolean' }, (this.isNarrow &&
                this._narrowBreakpoints.length > 0 &&
                (() => {
                    return this._narrowBreakpoints.reduce((obj, breakpoint) => {
                        Object.assign(obj, {
                            [`is-narrow-${breakpoint}`]: true,
                        });
                        return obj;
                    }, {});
                })())), { [this.class]: !!this.class }) }, core.h("slot", null)));
    }
};

exports.b_column = Column;
