'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const core = require('./core-9f8658e8.js');

const Container = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * Fluid container
         */
        this.isFluid = false;
    }
    render() {
        return (core.h("div", { class: {
                container: true,
                'is-fluid': this.isFluid,
                [this.breakpoint]: !!this.breakpoint,
                [this.class]: !!this.class,
            } }, core.h("slot", null)));
    }
    static get style() { return "\@-webkit-keyframes spinAround{0%{-webkit-transform:rotate(0deg);transform:rotate(0deg)}to{-webkit-transform:rotate(359deg);transform:rotate(359deg)}}\@keyframes spinAround{0%{-webkit-transform:rotate(0deg);transform:rotate(0deg)}to{-webkit-transform:rotate(359deg);transform:rotate(359deg)}}.container{-ms-flex-positive:1;flex-grow:1;margin:0 auto;position:relative;width:auto}\@media screen and (min-width:1024px){.container{max-width:960px}.container.is-fluid{margin-left:32px;margin-right:32px;max-width:none}}\@media screen and (max-width:1215px){.container.is-widescreen{max-width:1152px}}\@media screen and (max-width:1407px){.container.is-fullhd{max-width:1344px}}\@media screen and (min-width:1216px){.container{max-width:1152px}}\@media screen and (min-width:1408px){.container{max-width:1344px}}"; }
};

exports.b_container = Container;
