import { h } from "@stencil/core";
export class Panel {
    constructor() {
        /**
         * CSS Classes
         */
        this.class = '';
    }
    render() {
        return (h("nav", { class: "panel" },
            h("slot", null)));
    }
    static get is() { return "b-panel"; }
    static get originalStyleUrls() { return {
        "$": ["panel.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["panel.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        }
    }; }
}
