import { r as registerInstance, h } from './core-a344d8cd.js';

const Column = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
        this._narrowBreakpoints = [];
    }
    componentWillLoad() {
        if (this.narrowBreakpoints) {
            this._narrowBreakpoints = JSON.parse(this.narrowBreakpoints);
        }
    }
    render() {
        return (h("div", { class: Object.assign(Object.assign({ column: true, 'is-narrow': this.isNarrow && typeof this.isNarrow === 'boolean' }, (this.isNarrow &&
                this._narrowBreakpoints.length > 0 &&
                (() => {
                    return this._narrowBreakpoints.reduce((obj, breakpoint) => {
                        Object.assign(obj, {
                            [`is-narrow-${breakpoint}`]: true,
                        });
                        return obj;
                    }, {});
                })())), { [this.class]: !!this.class }) }, h("slot", null)));
    }
};

export { Column as b_column };
