import { r as registerInstance, h } from './core-a344d8cd.js';

const Tags = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /**
         * Has addons
         */
        this.hasAddons = false;
    }
    render() {
        return (h("div", { class: {
                tags: true,
                'has-addons': this.hasAddons,
                [this.size]: !!this.size,
                [this.class]: !!this.class,
            } }, h("slot", null)));
    }
};

export { Tags as b_tags };
