import { JSX, ComponentInterface } from '../../../stencil.core';
export declare class Breadcrumb implements ComponentInterface {
    /**
     * CSS Classes
     */
    class: string;
    /**
     * Aligned to the center
     */
    isCentered: boolean;
    /**
     * Aligned to the right
     */
    isRight: boolean;
    /**
     * Size
     */
    size: 'is-small' | 'is-medium' | 'is-large';
    /**
     * Separator
     */
    separator: 'has-arrow-separator' | 'has-bullet-separator' | 'has-dot-separator' | 'has-succeeds-separator';
    render(): JSX.Element;
}
